OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.PathRenderingCompatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVPathRendering :: MonadIO m => m Bool
- gl_NV_path_rendering :: Bool
- pattern GL_2_BYTES_NV :: GLenum
- pattern GL_3_BYTES_NV :: GLenum
- pattern GL_4_BYTES_NV :: GLenum
- pattern GL_ACCUM_ADJACENT_PAIRS_NV :: GLenum
- pattern GL_ADJACENT_PAIRS_NV :: GLenum
- pattern GL_AFFINE_2D_NV :: GLenum
- pattern GL_AFFINE_3D_NV :: GLenum
- pattern GL_ARC_TO_NV :: GLubyte
- pattern GL_BEVEL_NV :: GLenum
- pattern GL_BOLD_BIT_NV :: GLbitfield
- pattern GL_BOUNDING_BOX_NV :: GLenum
- pattern GL_BOUNDING_BOX_OF_BOUNDING_BOXES_NV :: GLenum
- pattern GL_CIRCULAR_CCW_ARC_TO_NV :: GLubyte
- pattern GL_CIRCULAR_CW_ARC_TO_NV :: GLubyte
- pattern GL_CIRCULAR_TANGENT_ARC_TO_NV :: GLubyte
- pattern GL_CLOSE_PATH_NV :: GLubyte
- pattern GL_CONIC_CURVE_TO_NV :: GLubyte
- pattern GL_CONSTANT_NV :: GLenum
- pattern GL_CONVEX_HULL_NV :: GLenum
- pattern GL_COUNT_DOWN_NV :: GLenum
- pattern GL_COUNT_UP_NV :: GLenum
- pattern GL_CUBIC_CURVE_TO_NV :: GLubyte
- pattern GL_DUP_FIRST_CUBIC_CURVE_TO_NV :: GLubyte
- pattern GL_DUP_LAST_CUBIC_CURVE_TO_NV :: GLubyte
- pattern GL_EYE_LINEAR_NV :: GLenum
- pattern GL_FILE_NAME_NV :: GLenum
- pattern GL_FIRST_TO_REST_NV :: GLenum
- pattern GL_FONT_ASCENDER_BIT_NV :: GLbitfield
- pattern GL_FONT_DESCENDER_BIT_NV :: GLbitfield
- pattern GL_FONT_GLYPHS_AVAILABLE_NV :: GLenum
- pattern GL_FONT_HAS_KERNING_BIT_NV :: GLbitfield
- pattern GL_FONT_HEIGHT_BIT_NV :: GLbitfield
- pattern GL_FONT_MAX_ADVANCE_HEIGHT_BIT_NV :: GLbitfield
- pattern GL_FONT_MAX_ADVANCE_WIDTH_BIT_NV :: GLbitfield
- pattern GL_FONT_NUM_GLYPH_INDICES_BIT_NV :: GLbitfield
- pattern GL_FONT_TARGET_UNAVAILABLE_NV :: GLenum
- pattern GL_FONT_UNAVAILABLE_NV :: GLenum
- pattern GL_FONT_UNDERLINE_POSITION_BIT_NV :: GLbitfield
- pattern GL_FONT_UNDERLINE_THICKNESS_BIT_NV :: GLbitfield
- pattern GL_FONT_UNINTELLIGIBLE_NV :: GLenum
- pattern GL_FONT_UNITS_PER_EM_BIT_NV :: GLbitfield
- pattern GL_FONT_X_MAX_BOUNDS_BIT_NV :: GLbitfield
- pattern GL_FONT_X_MIN_BOUNDS_BIT_NV :: GLbitfield
- pattern GL_FONT_Y_MAX_BOUNDS_BIT_NV :: GLbitfield
- pattern GL_FONT_Y_MIN_BOUNDS_BIT_NV :: GLbitfield
- pattern GL_FRAGMENT_INPUT_NV :: GLenum
- pattern GL_GLYPH_HAS_KERNING_BIT_NV :: GLbitfield
- pattern GL_GLYPH_HEIGHT_BIT_NV :: GLbitfield
- pattern GL_GLYPH_HORIZONTAL_BEARING_ADVANCE_BIT_NV :: GLbitfield
- pattern GL_GLYPH_HORIZONTAL_BEARING_X_BIT_NV :: GLbitfield
- pattern GL_GLYPH_HORIZONTAL_BEARING_Y_BIT_NV :: GLbitfield
- pattern GL_GLYPH_VERTICAL_BEARING_ADVANCE_BIT_NV :: GLbitfield
- pattern GL_GLYPH_VERTICAL_BEARING_X_BIT_NV :: GLbitfield
- pattern GL_GLYPH_VERTICAL_BEARING_Y_BIT_NV :: GLbitfield
- pattern GL_GLYPH_WIDTH_BIT_NV :: GLbitfield
- pattern GL_HORIZONTAL_LINE_TO_NV :: GLubyte
- pattern GL_ITALIC_BIT_NV :: GLbitfield
- pattern GL_LARGE_CCW_ARC_TO_NV :: GLubyte
- pattern GL_LARGE_CW_ARC_TO_NV :: GLubyte
- pattern GL_LINE_TO_NV :: GLubyte
- pattern GL_MITER_REVERT_NV :: GLenum
- pattern GL_MITER_TRUNCATE_NV :: GLenum
- pattern GL_MOVE_TO_CONTINUES_NV :: GLenum
- pattern GL_MOVE_TO_NV :: GLubyte
- pattern GL_MOVE_TO_RESETS_NV :: GLenum
- pattern GL_OBJECT_LINEAR_NV :: GLenum
- pattern GL_PATH_CLIENT_LENGTH_NV :: GLenum
- pattern GL_PATH_COMMAND_COUNT_NV :: GLenum
- pattern GL_PATH_COMPUTED_LENGTH_NV :: GLenum
- pattern GL_PATH_COORD_COUNT_NV :: GLenum
- pattern GL_PATH_COVER_DEPTH_FUNC_NV :: GLenum
- pattern GL_PATH_DASH_ARRAY_COUNT_NV :: GLenum
- pattern GL_PATH_DASH_CAPS_NV :: GLenum
- pattern GL_PATH_DASH_OFFSET_NV :: GLenum
- pattern GL_PATH_DASH_OFFSET_RESET_NV :: GLenum
- pattern GL_PATH_END_CAPS_NV :: GLenum
- pattern GL_PATH_ERROR_POSITION_NV :: GLenum
- pattern GL_PATH_FILL_BOUNDING_BOX_NV :: GLenum
- pattern GL_PATH_FILL_COVER_MODE_NV :: GLenum
- pattern GL_PATH_FILL_MASK_NV :: GLenum
- pattern GL_PATH_FILL_MODE_NV :: GLenum
- pattern GL_PATH_FOG_GEN_MODE_NV :: GLenum
- pattern GL_PATH_FORMAT_PS_NV :: GLenum
- pattern GL_PATH_FORMAT_SVG_NV :: GLenum
- pattern GL_PATH_GEN_COEFF_NV :: GLenum
- pattern GL_PATH_GEN_COLOR_FORMAT_NV :: GLenum
- pattern GL_PATH_GEN_COMPONENTS_NV :: GLenum
- pattern GL_PATH_GEN_MODE_NV :: GLenum
- pattern GL_PATH_INITIAL_DASH_CAP_NV :: GLenum
- pattern GL_PATH_INITIAL_END_CAP_NV :: GLenum
- pattern GL_PATH_JOIN_STYLE_NV :: GLenum
- pattern GL_PATH_MAX_MODELVIEW_STACK_DEPTH_NV :: GLenum
- pattern GL_PATH_MAX_PROJECTION_STACK_DEPTH_NV :: GLenum
- pattern GL_PATH_MITER_LIMIT_NV :: GLenum
- pattern GL_PATH_MODELVIEW_MATRIX_NV :: GLenum
- pattern GL_PATH_MODELVIEW_NV :: GLenum
- pattern GL_PATH_MODELVIEW_STACK_DEPTH_NV :: GLenum
- pattern GL_PATH_OBJECT_BOUNDING_BOX_NV :: GLenum
- pattern GL_PATH_PROJECTION_MATRIX_NV :: GLenum
- pattern GL_PATH_PROJECTION_NV :: GLenum
- pattern GL_PATH_PROJECTION_STACK_DEPTH_NV :: GLenum
- pattern GL_PATH_STENCIL_DEPTH_OFFSET_FACTOR_NV :: GLenum
- pattern GL_PATH_STENCIL_DEPTH_OFFSET_UNITS_NV :: GLenum
- pattern GL_PATH_STENCIL_FUNC_NV :: GLenum
- pattern GL_PATH_STENCIL_REF_NV :: GLenum
- pattern GL_PATH_STENCIL_VALUE_MASK_NV :: GLenum
- pattern GL_PATH_STROKE_BOUNDING_BOX_NV :: GLenum
- pattern GL_PATH_STROKE_COVER_MODE_NV :: GLenum
- pattern GL_PATH_STROKE_MASK_NV :: GLenum
- pattern GL_PATH_STROKE_WIDTH_NV :: GLenum
- pattern GL_PATH_TERMINAL_DASH_CAP_NV :: GLenum
- pattern GL_PATH_TERMINAL_END_CAP_NV :: GLenum
- pattern GL_PATH_TRANSPOSE_MODELVIEW_MATRIX_NV :: GLenum
- pattern GL_PATH_TRANSPOSE_PROJECTION_MATRIX_NV :: GLenum
- pattern GL_PRIMARY_COLOR :: GLenum
- pattern GL_PRIMARY_COLOR_NV :: GLenum
- pattern GL_QUADRATIC_CURVE_TO_NV :: GLubyte
- pattern GL_RECT_NV :: GLubyte
- pattern GL_RELATIVE_ARC_TO_NV :: GLubyte
- pattern GL_RELATIVE_CONIC_CURVE_TO_NV :: GLubyte
- pattern GL_RELATIVE_CUBIC_CURVE_TO_NV :: GLubyte
- pattern GL_RELATIVE_HORIZONTAL_LINE_TO_NV :: GLubyte
- pattern GL_RELATIVE_LARGE_CCW_ARC_TO_NV :: GLubyte
- pattern GL_RELATIVE_LARGE_CW_ARC_TO_NV :: GLubyte
- pattern GL_RELATIVE_LINE_TO_NV :: GLubyte
- pattern GL_RELATIVE_MOVE_TO_NV :: GLubyte
- pattern GL_RELATIVE_QUADRATIC_CURVE_TO_NV :: GLubyte
- pattern GL_RELATIVE_RECT_NV :: GLubyte
- pattern GL_RELATIVE_ROUNDED_RECT2_NV :: GLubyte
- pattern GL_RELATIVE_ROUNDED_RECT4_NV :: GLubyte
- pattern GL_RELATIVE_ROUNDED_RECT8_NV :: GLubyte
- pattern GL_RELATIVE_ROUNDED_RECT_NV :: GLubyte
- pattern GL_RELATIVE_SMALL_CCW_ARC_TO_NV :: GLubyte
- pattern GL_RELATIVE_SMALL_CW_ARC_TO_NV :: GLubyte
- pattern GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV :: GLubyte
- pattern GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV :: GLubyte
- pattern GL_RELATIVE_VERTICAL_LINE_TO_NV :: GLubyte
- pattern GL_RESTART_PATH_NV :: GLubyte
- pattern GL_ROUNDED_RECT2_NV :: GLubyte
- pattern GL_ROUNDED_RECT4_NV :: GLubyte
- pattern GL_ROUNDED_RECT8_NV :: GLubyte
- pattern GL_ROUNDED_RECT_NV :: GLubyte
- pattern GL_ROUND_NV :: GLenum
- pattern GL_SECONDARY_COLOR_NV :: GLenum
- pattern GL_SKIP_MISSING_GLYPH_NV :: GLenum
- pattern GL_SMALL_CCW_ARC_TO_NV :: GLubyte
- pattern GL_SMALL_CW_ARC_TO_NV :: GLubyte
- pattern GL_SMOOTH_CUBIC_CURVE_TO_NV :: GLubyte
- pattern GL_SMOOTH_QUADRATIC_CURVE_TO_NV :: GLubyte
- pattern GL_SQUARE_NV :: GLenum
- pattern GL_STANDARD_FONT_FORMAT_NV :: GLenum
- pattern GL_STANDARD_FONT_NAME_NV :: GLenum
- pattern GL_SYSTEM_FONT_NAME_NV :: GLenum
- pattern GL_TRANSLATE_2D_NV :: GLenum
- pattern GL_TRANSLATE_3D_NV :: GLenum
- pattern GL_TRANSLATE_X_NV :: GLenum
- pattern GL_TRANSLATE_Y_NV :: GLenum
- pattern GL_TRANSPOSE_AFFINE_2D_NV :: GLenum
- pattern GL_TRANSPOSE_AFFINE_3D_NV :: GLenum
- pattern GL_TRIANGULAR_NV :: GLenum
- pattern GL_USE_MISSING_GLYPH_NV :: GLenum
- pattern GL_UTF16_NV :: GLenum
- pattern GL_UTF8_NV :: GLenum
- pattern GL_VERTICAL_LINE_TO_NV :: GLubyte
- glCopyPathNV :: MonadIO m => GLuint -> GLuint -> m ()
- glCoverFillPathInstancedNV :: MonadIO m => GLsizei -> GLenum -> Ptr a -> GLuint -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glCoverFillPathNV :: MonadIO m => GLuint -> GLenum -> m ()
- glCoverStrokePathInstancedNV :: MonadIO m => GLsizei -> GLenum -> Ptr a -> GLuint -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glCoverStrokePathNV :: MonadIO m => GLuint -> GLenum -> m ()
- glDeletePathsNV :: MonadIO m => GLuint -> GLsizei -> m ()
- glGenPathsNV :: MonadIO m => GLsizei -> m GLuint
- glGetPathColorGenfvNV :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetPathColorGenivNV :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetPathCommandsNV :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glGetPathCoordsNV :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glGetPathDashArrayNV :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glGetPathLengthNV :: MonadIO m => GLuint -> GLsizei -> GLsizei -> m GLfloat
- glGetPathMetricRangeNV :: MonadIO m => GLbitfield -> GLuint -> GLsizei -> GLsizei -> Ptr GLfloat -> m ()
- glGetPathMetricsNV :: MonadIO m => GLbitfield -> GLsizei -> GLenum -> Ptr a -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glGetPathParameterfvNV :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetPathParameterivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetPathSpacingNV :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> GLuint -> GLfloat -> GLfloat -> GLenum -> Ptr GLfloat -> m ()
- glGetPathTexGenfvNV :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetPathTexGenivNV :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetProgramResourcefvNV :: MonadIO m => GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLenum -> GLsizei -> Ptr GLsizei -> Ptr GLfloat -> m ()
- glInterpolatePathsNV :: MonadIO m => GLuint -> GLuint -> GLuint -> GLfloat -> m ()
- glIsPathNV :: MonadIO m => GLuint -> m GLboolean
- glIsPointInFillPathNV :: MonadIO m => GLuint -> GLuint -> GLfloat -> GLfloat -> m GLboolean
- glIsPointInStrokePathNV :: MonadIO m => GLuint -> GLfloat -> GLfloat -> m GLboolean
- glMatrixFrustumEXT :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMatrixLoad3x2fNV :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixLoad3x3fNV :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixLoadIdentityEXT :: MonadIO m => GLenum -> m ()
- glMatrixLoadTranspose3x3fNV :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixLoadTransposedEXT :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMatrixLoadTransposefEXT :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixLoaddEXT :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMatrixLoadfEXT :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixMult3x2fNV :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixMult3x3fNV :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixMultTranspose3x3fNV :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixMultTransposedEXT :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMatrixMultTransposefEXT :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixMultdEXT :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMatrixMultfEXT :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixOrthoEXT :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMatrixPopEXT :: MonadIO m => GLenum -> m ()
- glMatrixPushEXT :: MonadIO m => GLenum -> m ()
- glMatrixRotatedEXT :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMatrixRotatefEXT :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glMatrixScaledEXT :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMatrixScalefEXT :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> m ()
- glMatrixTranslatedEXT :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMatrixTranslatefEXT :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> m ()
- glPathColorGenNV :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glPathCommandsNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> GLsizei -> GLenum -> Ptr a -> m ()
- glPathCoordsNV :: MonadIO m => GLuint -> GLsizei -> GLenum -> Ptr a -> m ()
- glPathCoverDepthFuncNV :: MonadIO m => GLenum -> m ()
- glPathDashArrayNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glPathFogGenNV :: MonadIO m => GLenum -> m ()
- glPathGlyphIndexArrayNV :: MonadIO m => GLuint -> GLenum -> Ptr a -> GLbitfield -> GLuint -> GLsizei -> GLuint -> GLfloat -> m GLenum
- glPathGlyphIndexRangeNV :: MonadIO m => GLenum -> Ptr a -> GLbitfield -> GLuint -> GLfloat -> Ptr GLuint -> m GLenum
- glPathGlyphRangeNV :: MonadIO m => GLuint -> GLenum -> Ptr a -> GLbitfield -> GLuint -> GLsizei -> GLenum -> GLuint -> GLfloat -> m ()
- glPathGlyphsNV :: MonadIO m => GLuint -> GLenum -> Ptr a -> GLbitfield -> GLsizei -> GLenum -> Ptr b -> GLenum -> GLuint -> GLfloat -> m ()
- glPathMemoryGlyphIndexArrayNV :: MonadIO m => GLuint -> GLenum -> GLsizeiptr -> Ptr a -> GLsizei -> GLuint -> GLsizei -> GLuint -> GLfloat -> m GLenum
- glPathParameterfNV :: MonadIO m => GLuint -> GLenum -> GLfloat -> m ()
- glPathParameterfvNV :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glPathParameteriNV :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glPathParameterivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glPathStencilDepthOffsetNV :: MonadIO m => GLfloat -> GLfloat -> m ()
- glPathStencilFuncNV :: MonadIO m => GLenum -> GLint -> GLuint -> m ()
- glPathStringNV :: MonadIO m => GLuint -> GLenum -> GLsizei -> Ptr a -> m ()
- glPathSubCommandsNV :: MonadIO m => GLuint -> GLsizei -> GLsizei -> GLsizei -> Ptr GLubyte -> GLsizei -> GLenum -> Ptr a -> m ()
- glPathSubCoordsNV :: MonadIO m => GLuint -> GLsizei -> GLsizei -> GLenum -> Ptr a -> m ()
- glPathTexGenNV :: MonadIO m => GLenum -> GLenum -> GLint -> Ptr GLfloat -> m ()
- glPointAlongPathNV :: MonadIO m => GLuint -> GLsizei -> GLsizei -> GLfloat -> Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> m GLboolean
- glProgramPathFragmentInputGenNV :: MonadIO m => GLuint -> GLint -> GLenum -> GLint -> Ptr GLfloat -> m ()
- glStencilFillPathInstancedNV :: MonadIO m => GLsizei -> GLenum -> Ptr a -> GLuint -> GLenum -> GLuint -> GLenum -> Ptr GLfloat -> m ()
- glStencilFillPathNV :: MonadIO m => GLuint -> GLenum -> GLuint -> m ()
- glStencilStrokePathInstancedNV :: MonadIO m => GLsizei -> GLenum -> Ptr a -> GLuint -> GLint -> GLuint -> GLenum -> Ptr GLfloat -> m ()
- glStencilStrokePathNV :: MonadIO m => GLuint -> GLint -> GLuint -> m ()
- glStencilThenCoverFillPathInstancedNV :: MonadIO m => GLsizei -> GLenum -> Ptr a -> GLuint -> GLenum -> GLuint -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glStencilThenCoverFillPathNV :: MonadIO m => GLuint -> GLenum -> GLuint -> GLenum -> m ()
- glStencilThenCoverStrokePathInstancedNV :: MonadIO m => GLsizei -> GLenum -> Ptr a -> GLuint -> GLint -> GLuint -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glStencilThenCoverStrokePathNV :: MonadIO m => GLuint -> GLint -> GLuint -> GLenum -> m ()
- glTransformPathNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLfloat -> m ()
- glWeightPathsNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLuint -> Ptr GLfloat -> m ()

# Extension Support

glGetNVPathRendering :: MonadIO m => m Bool Source #

Is the NV_path_rendering extension supported?

gl_NV_path_rendering :: Bool Source #

Is the NV_path_rendering extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVPathRendering` in those cases instead.

# Enums

pattern GL_2_BYTES_NV :: GLenum Source #

pattern GL_3_BYTES_NV :: GLenum Source #

pattern GL_4_BYTES_NV :: GLenum Source #

pattern GL_ACCUM_ADJACENT_PAIRS_NV :: GLenum Source #

pattern GL_ADJACENT_PAIRS_NV :: GLenum Source #

pattern GL_AFFINE_2D_NV :: GLenum Source #

pattern GL_AFFINE_3D_NV :: GLenum Source #

pattern GL_ARC_TO_NV :: GLubyte Source #

pattern GL_BEVEL_NV :: GLenum Source #

pattern GL_BOLD_BIT_NV :: GLbitfield Source #

pattern GL_BOUNDING_BOX_NV :: GLenum Source #

pattern GL_BOUNDING_BOX_OF_BOUNDING_BOXES_NV :: GLenum Source #

pattern GL_CIRCULAR_CCW_ARC_TO_NV :: GLubyte Source #

pattern GL_CIRCULAR_CW_ARC_TO_NV :: GLubyte Source #

pattern GL_CIRCULAR_TANGENT_ARC_TO_NV :: GLubyte Source #

pattern GL_CLOSE_PATH_NV :: GLubyte Source #

pattern GL_CONIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_CONSTANT_NV :: GLenum Source #

pattern GL_CONVEX_HULL_NV :: GLenum Source #

pattern GL_COUNT_DOWN_NV :: GLenum Source #

pattern GL_COUNT_UP_NV :: GLenum Source #

pattern GL_CUBIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_DUP_FIRST_CUBIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_DUP_LAST_CUBIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_EYE_LINEAR_NV :: GLenum Source #

pattern GL_FILE_NAME_NV :: GLenum Source #

pattern GL_FIRST_TO_REST_NV :: GLenum Source #

pattern GL_FONT_ASCENDER_BIT_NV :: GLbitfield Source #

pattern GL_FONT_DESCENDER_BIT_NV :: GLbitfield Source #

pattern GL_FONT_GLYPHS_AVAILABLE_NV :: GLenum Source #

pattern GL_FONT_HAS_KERNING_BIT_NV :: GLbitfield Source #

pattern GL_FONT_HEIGHT_BIT_NV :: GLbitfield Source #

pattern GL_FONT_MAX_ADVANCE_HEIGHT_BIT_NV :: GLbitfield Source #

pattern GL_FONT_MAX_ADVANCE_WIDTH_BIT_NV :: GLbitfield Source #

pattern GL_FONT_NUM_GLYPH_INDICES_BIT_NV :: GLbitfield Source #

pattern GL_FONT_TARGET_UNAVAILABLE_NV :: GLenum Source #

pattern GL_FONT_UNAVAILABLE_NV :: GLenum Source #

pattern GL_FONT_UNDERLINE_POSITION_BIT_NV :: GLbitfield Source #

pattern GL_FONT_UNDERLINE_THICKNESS_BIT_NV :: GLbitfield Source #

pattern GL_FONT_UNINTELLIGIBLE_NV :: GLenum Source #

pattern GL_FONT_UNITS_PER_EM_BIT_NV :: GLbitfield Source #

pattern GL_FONT_X_MAX_BOUNDS_BIT_NV :: GLbitfield Source #

pattern GL_FONT_X_MIN_BOUNDS_BIT_NV :: GLbitfield Source #

pattern GL_FONT_Y_MAX_BOUNDS_BIT_NV :: GLbitfield Source #

pattern GL_FONT_Y_MIN_BOUNDS_BIT_NV :: GLbitfield Source #

pattern GL_FRAGMENT_INPUT_NV :: GLenum Source #

pattern GL_GLYPH_HAS_KERNING_BIT_NV :: GLbitfield Source #

pattern GL_GLYPH_HEIGHT_BIT_NV :: GLbitfield Source #

pattern GL_GLYPH_HORIZONTAL_BEARING_ADVANCE_BIT_NV :: GLbitfield Source #

pattern GL_GLYPH_HORIZONTAL_BEARING_X_BIT_NV :: GLbitfield Source #

pattern GL_GLYPH_HORIZONTAL_BEARING_Y_BIT_NV :: GLbitfield Source #

pattern GL_GLYPH_VERTICAL_BEARING_ADVANCE_BIT_NV :: GLbitfield Source #

pattern GL_GLYPH_VERTICAL_BEARING_X_BIT_NV :: GLbitfield Source #

pattern GL_GLYPH_VERTICAL_BEARING_Y_BIT_NV :: GLbitfield Source #

pattern GL_GLYPH_WIDTH_BIT_NV :: GLbitfield Source #

pattern GL_HORIZONTAL_LINE_TO_NV :: GLubyte Source #

pattern GL_ITALIC_BIT_NV :: GLbitfield Source #

pattern GL_LARGE_CCW_ARC_TO_NV :: GLubyte Source #

pattern GL_LARGE_CW_ARC_TO_NV :: GLubyte Source #

pattern GL_LINE_TO_NV :: GLubyte Source #

pattern GL_MITER_REVERT_NV :: GLenum Source #

pattern GL_MITER_TRUNCATE_NV :: GLenum Source #

pattern GL_MOVE_TO_CONTINUES_NV :: GLenum Source #

pattern GL_MOVE_TO_NV :: GLubyte Source #

pattern GL_MOVE_TO_RESETS_NV :: GLenum Source #

pattern GL_OBJECT_LINEAR_NV :: GLenum Source #

pattern GL_PATH_CLIENT_LENGTH_NV :: GLenum Source #

pattern GL_PATH_COMMAND_COUNT_NV :: GLenum Source #

pattern GL_PATH_COMPUTED_LENGTH_NV :: GLenum Source #

pattern GL_PATH_COORD_COUNT_NV :: GLenum Source #

pattern GL_PATH_COVER_DEPTH_FUNC_NV :: GLenum Source #

pattern GL_PATH_DASH_ARRAY_COUNT_NV :: GLenum Source #

pattern GL_PATH_DASH_CAPS_NV :: GLenum Source #

pattern GL_PATH_DASH_OFFSET_NV :: GLenum Source #

pattern GL_PATH_DASH_OFFSET_RESET_NV :: GLenum Source #

pattern GL_PATH_END_CAPS_NV :: GLenum Source #

pattern GL_PATH_ERROR_POSITION_NV :: GLenum Source #

pattern GL_PATH_FILL_BOUNDING_BOX_NV :: GLenum Source #

pattern GL_PATH_FILL_COVER_MODE_NV :: GLenum Source #

pattern GL_PATH_FILL_MASK_NV :: GLenum Source #

pattern GL_PATH_FILL_MODE_NV :: GLenum Source #

pattern GL_PATH_FOG_GEN_MODE_NV :: GLenum Source #

pattern GL_PATH_FORMAT_PS_NV :: GLenum Source #

pattern GL_PATH_FORMAT_SVG_NV :: GLenum Source #

pattern GL_PATH_GEN_COEFF_NV :: GLenum Source #

pattern GL_PATH_GEN_COLOR_FORMAT_NV :: GLenum Source #

pattern GL_PATH_GEN_COMPONENTS_NV :: GLenum Source #

pattern GL_PATH_GEN_MODE_NV :: GLenum Source #

pattern GL_PATH_INITIAL_DASH_CAP_NV :: GLenum Source #

pattern GL_PATH_INITIAL_END_CAP_NV :: GLenum Source #

pattern GL_PATH_JOIN_STYLE_NV :: GLenum Source #

pattern GL_PATH_MAX_MODELVIEW_STACK_DEPTH_NV :: GLenum Source #

pattern GL_PATH_MAX_PROJECTION_STACK_DEPTH_NV :: GLenum Source #

pattern GL_PATH_MITER_LIMIT_NV :: GLenum Source #

pattern GL_PATH_MODELVIEW_MATRIX_NV :: GLenum Source #

pattern GL_PATH_MODELVIEW_NV :: GLenum Source #

pattern GL_PATH_MODELVIEW_STACK_DEPTH_NV :: GLenum Source #

pattern GL_PATH_OBJECT_BOUNDING_BOX_NV :: GLenum Source #

pattern GL_PATH_PROJECTION_MATRIX_NV :: GLenum Source #

pattern GL_PATH_PROJECTION_NV :: GLenum Source #

pattern GL_PATH_PROJECTION_STACK_DEPTH_NV :: GLenum Source #

pattern GL_PATH_STENCIL_DEPTH_OFFSET_FACTOR_NV :: GLenum Source #

pattern GL_PATH_STENCIL_DEPTH_OFFSET_UNITS_NV :: GLenum Source #

pattern GL_PATH_STENCIL_FUNC_NV :: GLenum Source #

pattern GL_PATH_STENCIL_REF_NV :: GLenum Source #

pattern GL_PATH_STENCIL_VALUE_MASK_NV :: GLenum Source #

pattern GL_PATH_STROKE_BOUNDING_BOX_NV :: GLenum Source #

pattern GL_PATH_STROKE_COVER_MODE_NV :: GLenum Source #

pattern GL_PATH_STROKE_MASK_NV :: GLenum Source #

pattern GL_PATH_STROKE_WIDTH_NV :: GLenum Source #

pattern GL_PATH_TERMINAL_DASH_CAP_NV :: GLenum Source #

pattern GL_PATH_TERMINAL_END_CAP_NV :: GLenum Source #

pattern GL_PATH_TRANSPOSE_MODELVIEW_MATRIX_NV :: GLenum Source #

pattern GL_PATH_TRANSPOSE_PROJECTION_MATRIX_NV :: GLenum Source #

pattern GL_PRIMARY_COLOR :: GLenum Source #

pattern GL_PRIMARY_COLOR_NV :: GLenum Source #

pattern GL_QUADRATIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_RECT_NV :: GLubyte Source #

pattern GL_RELATIVE_ARC_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_CONIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_CUBIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_HORIZONTAL_LINE_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_LARGE_CCW_ARC_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_LARGE_CW_ARC_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_LINE_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_MOVE_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_QUADRATIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_RECT_NV :: GLubyte Source #

pattern GL_RELATIVE_ROUNDED_RECT2_NV :: GLubyte Source #

pattern GL_RELATIVE_ROUNDED_RECT4_NV :: GLubyte Source #

pattern GL_RELATIVE_ROUNDED_RECT8_NV :: GLubyte Source #

pattern GL_RELATIVE_ROUNDED_RECT_NV :: GLubyte Source #

pattern GL_RELATIVE_SMALL_CCW_ARC_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_SMALL_CW_ARC_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_RELATIVE_VERTICAL_LINE_TO_NV :: GLubyte Source #

pattern GL_RESTART_PATH_NV :: GLubyte Source #

pattern GL_ROUNDED_RECT2_NV :: GLubyte Source #

pattern GL_ROUNDED_RECT4_NV :: GLubyte Source #

pattern GL_ROUNDED_RECT8_NV :: GLubyte Source #

pattern GL_ROUNDED_RECT_NV :: GLubyte Source #

pattern GL_ROUND_NV :: GLenum Source #

pattern GL_SECONDARY_COLOR_NV :: GLenum Source #

pattern GL_SKIP_MISSING_GLYPH_NV :: GLenum Source #

pattern GL_SMALL_CCW_ARC_TO_NV :: GLubyte Source #

pattern GL_SMALL_CW_ARC_TO_NV :: GLubyte Source #

pattern GL_SMOOTH_CUBIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_SMOOTH_QUADRATIC_CURVE_TO_NV :: GLubyte Source #

pattern GL_SQUARE_NV :: GLenum Source #

pattern GL_STANDARD_FONT_FORMAT_NV :: GLenum Source #

pattern GL_STANDARD_FONT_NAME_NV :: GLenum Source #

pattern GL_SYSTEM_FONT_NAME_NV :: GLenum Source #

pattern GL_TRANSLATE_2D_NV :: GLenum Source #

pattern GL_TRANSLATE_3D_NV :: GLenum Source #

pattern GL_TRANSLATE_X_NV :: GLenum Source #

pattern GL_TRANSLATE_Y_NV :: GLenum Source #

pattern GL_TRANSPOSE_AFFINE_2D_NV :: GLenum Source #

pattern GL_TRANSPOSE_AFFINE_3D_NV :: GLenum Source #

pattern GL_TRIANGULAR_NV :: GLenum Source #

pattern GL_USE_MISSING_GLYPH_NV :: GLenum Source #

pattern GL_UTF16_NV :: GLenum Source #

pattern GL_UTF8_NV :: GLenum Source #

pattern GL_VERTICAL_LINE_TO_NV :: GLubyte Source #

# Functions

glCopyPathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `resultPath` of type `Path`.
-> GLuint | `srcPath` of type `Path`.
-> m () |

glCoverFillPathInstancedNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `numPaths`.
-> GLenum | `pathNameType` of type PathElementType.
-> Ptr a | `paths` pointing to `COMPSIZE(numPaths,pathNameType,paths)` elements of type `PathElement`.
-> GLuint | `pathBase` of type `Path`.
-> GLenum | `coverMode` of type PathCoverMode.
-> GLenum | `transformType` of type PathTransformType.
-> Ptr GLfloat | `transformValues` pointing to `COMPSIZE(numPaths,transformType)` elements of type `GLfloat`.
-> m () |

glCoverFillPathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLenum | `coverMode` of type PathCoverMode.
-> m () |

glCoverStrokePathInstancedNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `numPaths`.
-> GLenum | `pathNameType` of type PathElementType.
-> Ptr a | `paths` pointing to `COMPSIZE(numPaths,pathNameType,paths)` elements of type `PathElement`.
-> GLuint | `pathBase` of type `Path`.
-> GLenum | `coverMode` of type PathCoverMode.
-> GLenum | `transformType` of type PathTransformType.
-> Ptr GLfloat | `transformValues` pointing to `COMPSIZE(numPaths,transformType)` elements of type `GLfloat`.
-> m () |

glCoverStrokePathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLenum | `coverMode` of type PathCoverMode.
-> m () |

glDeletePathsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLsizei | `range`.
-> m () |

glGenPathsNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `range`.
-> m GLuint | of type `Path`.

glGetPathColorGenfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `color` of type PathColor.
-> GLenum | `pname` of type PathGenMode.
-> Ptr GLfloat | `value` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetPathColorGenivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `color` of type PathColor.
-> GLenum | `pname` of type PathGenMode.
-> Ptr GLint | `value` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetPathCommandsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> Ptr GLubyte | `commands` pointing to `COMPSIZE(path)` elements of type `PathCommand`.
-> m () |

glGetPathCoordsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> Ptr GLfloat | `coords` pointing to `COMPSIZE(path)` elements of type `GLfloat`.
-> m () |

glGetPathDashArrayNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> Ptr GLfloat | `dashArray` pointing to `COMPSIZE(path)` elements of type `GLfloat`.
-> m () |

glGetPathLengthNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLsizei | `startSegment`.
-> GLsizei | `numSegments`.
-> m GLfloat |

glGetPathMetricRangeNV Source #

Arguments

:: MonadIO m |
=> GLbitfield | `metricQueryMask` of type PathMetricMask.
-> GLuint | `firstPathName` of type `Path`.
-> GLsizei | `numPaths`.
-> GLsizei | `stride`.
-> Ptr GLfloat | `metrics` pointing to `COMPSIZE(metricQueryMask,numPaths,stride)` elements of type `GLfloat`.
-> m () |

glGetPathMetricsNV Source #

Arguments

:: MonadIO m |
=> GLbitfield | `metricQueryMask` of type PathMetricMask.
-> GLsizei | `numPaths`.
-> GLenum | `pathNameType` of type PathElementType.
-> Ptr a | `paths` pointing to `COMPSIZE(numPaths,pathNameType,paths)` elements of type `PathElement`.
-> GLuint | `pathBase` of type `Path`.
-> GLsizei | `stride`.
-> Ptr GLfloat | `metrics` pointing to `COMPSIZE(metricQueryMask,numPaths,stride)` elements of type `GLfloat`.
-> m () |

glGetPathParameterfvNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLenum | `pname` of type PathParameter.
-> Ptr GLfloat | `value` pointing to `4` elements of type `GLfloat`.
-> m () |

glGetPathParameterivNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLenum | `pname` of type PathParameter.
-> Ptr GLint | `value` pointing to `4` elements of type `GLint`.
-> m () |

glGetPathSpacingNV Source #

Arguments

:: MonadIO m |
=> GLenum | `pathListMode` of type PathListMode.
-> GLsizei | `numPaths`.
-> GLenum | `pathNameType` of type PathElementType.
-> Ptr a | `paths` pointing to `COMPSIZE(numPaths,pathNameType,paths)` elements of type `PathElement`.
-> GLuint | `pathBase` of type `Path`.
-> GLfloat | `advanceScale`.
-> GLfloat | `kerningScale`.
-> GLenum | `transformType` of type PathTransformType.
-> Ptr GLfloat | `returnedSpacing` pointing to `COMPSIZE(pathListMode,numPaths)` elements of type `GLfloat`.
-> m () |

glGetPathTexGenfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `texCoordSet` of type TextureUnit.
-> GLenum | `pname` of type PathGenMode.
-> Ptr GLfloat | `value` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetPathTexGenivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `texCoordSet` of type TextureUnit.
-> GLenum | `pname` of type PathGenMode.
-> Ptr GLint | `value` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetProgramResourcefvNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `programInterface` of type ProgramInterface.
-> GLuint | `index`.
-> GLsizei | `propCount`.
-> Ptr GLenum | `props`.
-> GLsizei | `count`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLfloat | `params` pointing to `count` elements of type `GLfloat`.
-> m () |

glInterpolatePathsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `resultPath` of type `Path`.
-> GLuint | `pathA` of type `Path`.
-> GLuint | `pathB` of type `Path`.
-> GLfloat | `weight`.
-> m () |

glIsPathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> m GLboolean | of type Boolean.

glIsPointInFillPathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> m GLboolean | of type Boolean.

glIsPointInStrokePathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> m GLboolean | of type Boolean.

glMatrixFrustumEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLdouble | `left`.
-> GLdouble | `right`.
-> GLdouble | `bottom`.
-> GLdouble | `top`.
-> GLdouble | `zNear`.
-> GLdouble | `zFar`.
-> m () |

glMatrixLoad3x2fNV Source #

Arguments

:: MonadIO m |
=> GLenum | `matrixMode`.
-> Ptr GLfloat | `m`.
-> m () |

glMatrixLoad3x3fNV Source #

Arguments

:: MonadIO m |
=> GLenum | `matrixMode`.
-> Ptr GLfloat | `m`.
-> m () |

glMatrixLoadIdentityEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> m () |

glMatrixLoadTranspose3x3fNV Source #

Arguments

:: MonadIO m |
=> GLenum | `matrixMode`.
-> Ptr GLfloat | `m`.
-> m () |

glMatrixLoadTransposedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

glMatrixLoadTransposefEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

glMatrixLoaddEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

glMatrixLoadfEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

glMatrixMult3x2fNV Source #

Arguments

:: MonadIO m |
=> GLenum | `matrixMode`.
-> Ptr GLfloat | `m`.
-> m () |

glMatrixMult3x3fNV Source #

Arguments

:: MonadIO m |
=> GLenum | `matrixMode`.
-> Ptr GLfloat | `m`.
-> m () |

glMatrixMultTranspose3x3fNV Source #

Arguments

:: MonadIO m |
=> GLenum | `matrixMode`.
-> Ptr GLfloat | `m`.
-> m () |

glMatrixMultTransposedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

glMatrixMultTransposefEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

glMatrixMultdEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

glMatrixMultfEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

glMatrixOrthoEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLdouble | `left`.
-> GLdouble | `right`.
-> GLdouble | `bottom`.
-> GLdouble | `top`.
-> GLdouble | `zNear`.
-> GLdouble | `zFar`.
-> m () |

glMatrixPopEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> m () |

glMatrixPushEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> m () |

glMatrixRotatedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLdouble | `angle`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

glMatrixRotatefEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLfloat | `angle`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glMatrixScaledEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

glMatrixScalefEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glMatrixTranslatedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

glMatrixTranslatefEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glPathColorGenNV Source #

Arguments

:: MonadIO m |
=> GLenum | `color` of type PathColor.
-> GLenum | `genMode` of type PathGenMode.
-> GLenum | `colorFormat` of type PathColorFormat.
-> Ptr GLfloat | `coeffs` pointing to `COMPSIZE(genMode,colorFormat)` elements of type `GLfloat`.
-> m () |

glPathCommandsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLsizei | `numCommands`.
-> Ptr GLubyte | `commands` pointing to `numCommands` elements of type `PathCommand`.
-> GLsizei | `numCoords`.
-> GLenum | `coordType` of type PathCoordType.
-> Ptr a | `coords` pointing to `COMPSIZE(numCoords,coordType)` elements of type `a`.
-> m () |

glPathCoordsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLsizei | `numCoords`.
-> GLenum | `coordType` of type PathCoordType.
-> Ptr a | `coords` pointing to `COMPSIZE(numCoords,coordType)` elements of type `a`.
-> m () |

glPathCoverDepthFuncNV Source #

Arguments

:: MonadIO m |
=> GLenum | `func` of type DepthFunction.
-> m () |

glPathDashArrayNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLsizei | `dashCount`.
-> Ptr GLfloat | `dashArray` pointing to `dashCount` elements of type `GLfloat`.
-> m () |

glPathFogGenNV Source #

Arguments

:: MonadIO m |
=> GLenum | `genMode` of type PathGenMode.
-> m () |

glPathGlyphIndexArrayNV Source #

Arguments

:: MonadIO m |
=> GLuint | `firstPathName`.
-> GLenum | `fontTarget`.
-> Ptr a | `fontName`.
-> GLbitfield | `fontStyle` of type PathFontStyle.
-> GLuint | `firstGlyphIndex`.
-> GLsizei | `numGlyphs`.
-> GLuint | `pathParameterTemplate`.
-> GLfloat | `emScale`.
-> m GLenum |

glPathGlyphIndexRangeNV Source #

Arguments

:: MonadIO m |
=> GLenum | `fontTarget`.
-> Ptr a | `fontName`.
-> GLbitfield | `fontStyle` of type PathFontStyle.
-> GLuint | `pathParameterTemplate`.
-> GLfloat | `emScale`.
-> Ptr GLuint | `baseAndCount`.
-> m GLenum |

glPathGlyphRangeNV Source #

Arguments

:: MonadIO m |
=> GLuint | `firstPathName` of type `Path`.
-> GLenum | `fontTarget` of type PathFontTarget.
-> Ptr a | `fontName` pointing to `COMPSIZE(fontTarget,fontName)` elements of type `a`.
-> GLbitfield | `fontStyle` of type PathFontStyle.
-> GLuint | `firstGlyph`.
-> GLsizei | `numGlyphs`.
-> GLenum | `handleMissingGlyphs` of type PathHandleMissingGlyphs.
-> GLuint | `pathParameterTemplate` of type `Path`.
-> GLfloat | `emScale`.
-> m () |

glPathGlyphsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `firstPathName` of type `Path`.
-> GLenum | `fontTarget` of type PathFontTarget.
-> Ptr a | `fontName` pointing to `COMPSIZE(fontTarget,fontName)` elements of type `a`.
-> GLbitfield | `fontStyle` of type PathFontStyle.
-> GLsizei | `numGlyphs`.
-> GLenum | `type` of type PathElementType.
-> Ptr b | `charcodes` pointing to `COMPSIZE(numGlyphs,type,charcodes)` elements of type `b`.
-> GLenum | `handleMissingGlyphs` of type PathHandleMissingGlyphs.
-> GLuint | `pathParameterTemplate` of type `Path`.
-> GLfloat | `emScale`.
-> m () |

glPathMemoryGlyphIndexArrayNV Source #

Arguments

:: MonadIO m |
=> GLuint | `firstPathName`.
-> GLenum | `fontTarget`.
-> GLsizeiptr | `fontSize`.
-> Ptr a | `fontData`.
-> GLsizei | `faceIndex`.
-> GLuint | `firstGlyphIndex`.
-> GLsizei | `numGlyphs`.
-> GLuint | `pathParameterTemplate`.
-> GLfloat | `emScale`.
-> m GLenum |

glPathParameterfNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLenum | `pname` of type PathParameter.
-> GLfloat | `value`.
-> m () |

glPathParameterfvNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLenum | `pname` of type PathParameter.
-> Ptr GLfloat | `value` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glPathParameteriNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLenum | `pname` of type PathParameter.
-> GLint | `value`.
-> m () |

glPathParameterivNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLenum | `pname` of type PathParameter.
-> Ptr GLint | `value` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glPathStencilDepthOffsetNV Source #

Arguments

:: MonadIO m |
=> GLfloat | `factor`.
-> GLfloat | `units`.
-> m () |

glPathStencilFuncNV Source #

Arguments

:: MonadIO m |
=> GLenum | `func` of type StencilFunction.
-> GLint | `ref` of type `ClampedStencilValue`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

glPathStringNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLenum | `format` of type PathStringFormat.
-> GLsizei | `length`.
-> Ptr a | `pathString` pointing to `length` elements of type `a`.
-> m () |

glPathSubCommandsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLsizei | `commandStart`.
-> GLsizei | `commandsToDelete`.
-> GLsizei | `numCommands`.
-> Ptr GLubyte | `commands` pointing to `numCommands` elements of type `PathCommand`.
-> GLsizei | `numCoords`.
-> GLenum | `coordType` of type PathCoordType.
-> Ptr a | `coords` pointing to `COMPSIZE(numCoords,coordType)` elements of type `a`.
-> m () |

glPathSubCoordsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLsizei | `coordStart`.
-> GLsizei | `numCoords`.
-> GLenum | `coordType` of type PathCoordType.
-> Ptr a | `coords` pointing to `COMPSIZE(numCoords,coordType)` elements of type `a`.
-> m () |

glPathTexGenNV Source #

Arguments

:: MonadIO m |
=> GLenum | `texCoordSet` of type PathColor.
-> GLenum | `genMode` of type PathGenMode.
-> GLint | `components`.
-> Ptr GLfloat | `coeffs` pointing to `COMPSIZE(genMode,components)` elements of type `GLfloat`.
-> m () |

glPointAlongPathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLsizei | `startSegment`.
-> GLsizei | `numSegments`.
-> GLfloat | `distance`.
-> Ptr GLfloat | `x` pointing to `1` element of type `GLfloat`.
-> Ptr GLfloat | `y` pointing to `1` element of type `GLfloat`.
-> Ptr GLfloat | `tangentX` pointing to `1` element of type `GLfloat`.
-> Ptr GLfloat | `tangentY` pointing to `1` element of type `GLfloat`.
-> m GLboolean | of type Boolean.

glProgramPathFragmentInputGenNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLenum | `genMode`.
-> GLint | `components`.
-> Ptr GLfloat | `coeffs`.
-> m () |

glStencilFillPathInstancedNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `numPaths`.
-> GLenum | `pathNameType` of type PathElementType.
-> Ptr a | `paths` pointing to `COMPSIZE(numPaths,pathNameType,paths)` elements of type `PathElement`.
-> GLuint | `pathBase` of type `Path`.
-> GLenum | `fillMode` of type PathFillMode.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> GLenum | `transformType` of type PathTransformType.
-> Ptr GLfloat | `transformValues` pointing to `COMPSIZE(numPaths,transformType)` elements of type `GLfloat`.
-> m () |

glStencilFillPathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLenum | `fillMode` of type PathFillMode.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

glStencilStrokePathInstancedNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `numPaths`.
-> GLenum | `pathNameType` of type PathElementType.
-> Ptr a | `paths` pointing to `COMPSIZE(numPaths,pathNameType,paths)` elements of type `PathElement`.
-> GLuint | `pathBase` of type `Path`.
-> GLint | `reference` of type `StencilValue`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> GLenum | `transformType` of type PathTransformType.
-> Ptr GLfloat | `transformValues` pointing to `COMPSIZE(numPaths,transformType)` elements of type `GLfloat`.
-> m () |

glStencilStrokePathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path` of type `Path`.
-> GLint | `reference` of type `StencilValue`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

glStencilThenCoverFillPathInstancedNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `numPaths`.
-> GLenum | `pathNameType`.
-> Ptr a | `paths`.
-> GLuint | `pathBase`.
-> GLenum | `fillMode`.
-> GLuint | `mask`.
-> GLenum | `coverMode`.
-> GLenum | `transformType`.
-> Ptr GLfloat | `transformValues`.
-> m () |

glStencilThenCoverFillPathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path`.
-> GLenum | `fillMode`.
-> GLuint | `mask`.
-> GLenum | `coverMode`.
-> m () |

glStencilThenCoverStrokePathInstancedNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `numPaths`.
-> GLenum | `pathNameType`.
-> Ptr a | `paths`.
-> GLuint | `pathBase`.
-> GLint | `reference`.
-> GLuint | `mask`.
-> GLenum | `coverMode`.
-> GLenum | `transformType`.
-> Ptr GLfloat | `transformValues`.
-> m () |

glStencilThenCoverStrokePathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `path`.
-> GLint | `reference`.
-> GLuint | `mask`.
-> GLenum | `coverMode`.
-> m () |

glTransformPathNV Source #

Arguments

:: MonadIO m |
=> GLuint | `resultPath` of type `Path`.
-> GLuint | `srcPath` of type `Path`.
-> GLenum | `transformType` of type PathTransformType.
-> Ptr GLfloat | `transformValues` pointing to `COMPSIZE(transformType)` elements of type `GLfloat`.
-> m () |

glWeightPathsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `resultPath` of type `Path`.
-> GLsizei | `numPaths`.
-> Ptr GLuint | `paths` pointing to `numPaths` elements of type `Path`.
-> Ptr GLfloat | `weights` pointing to `numPaths` elements of type `GLfloat`.
-> m () |